// 统一暴露工具，供其他地方调用

// 数组转对象
function arrToObj(arr) {
  // 参数必须是一个数组
  if (!Array.isArray(arr)) {
    throw new Error("type err: arr 必须是一个数组");
  }
  // 存放返回结果
  const obj = {};
  arr.map((item) => {
    obj[Object.keys(item)[0]] = item[Object.keys(item)[0]];
  });
  return obj;
}
export default { arrToObj };
